package kandata.launcher;

import java.awt.Image;
import java.awt.*;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.net.URL;

/** サイトの情報 */
public class Site {
	/**
	 * KandataサーバのURL
	 * (ex."http://localhost:8080/kandata-hello/servlet/kandata.server.http.ServletServer")
	 */
	private String url;
	/** クライアントタイプ。nullあり */
	private String clientType;
	/** バージョン. nullあり */
	private String version;

	/** アプリケーション名(ex."会議室予約システム") */
	private String name;

	/** アプリケーションの詳細な説明 */
	private String desc;

	/** アイコン. 32x32 */
	private Image icon;
	/** アイコン画像のファイルのバイト配列 */
	private byte[] iconByteArray;
	private String iconExt;

	/** セキュリティ. どうする？ */

	Site(String url, String clientType, String version,
				String name, String desc, Image icon) {
		this.url = url;
		this.clientType = clientType;
		this.version = version;
		this.name = name;
		this.desc = desc;
		this.icon = icon;
	}
	/**
	 * アイコンの画像のファイルを保存するため、画像のバイトイメージも設定する。
	 * JDK1.4以降なら、javax.imageioがあるので不要。
	*/
	void setIconEx(byte[] iconByteArray, String iconExt) {
		this.iconByteArray = iconByteArray;
		this.iconExt = iconExt;
	}

	public String getUrl() {
		return url;
	}
	public String getClientType() {
		return clientType;
	}
	public String getVersion() {
		return version;
	}
	public String getName() {
		return name;
	}
	public String getDesc() {
		return desc;
	}
	public Image getIcon() {
		return icon;
	}
	// 将来なくなるかも
	byte[] getIconByteArray() {
		return iconByteArray;
	}
	String getIconExt() {
		return iconExt;
	}
	private static Image unregistedImage;
	static {
		unregistedImage = new BufferedImage(32,32, BufferedImage.TYPE_4BYTE_ABGR);
		Graphics g = unregistedImage.getGraphics();
		g.setColor(Color.RED);
		g.fillOval(0, 0, 32, 32);
	}
	public static Image getUnregistedImage() {
		return unregistedImage;
	}
}
